curl --location --request POST 'https://staging-api.propaga.io/v1/account/{userId}/verification'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"firstName": "John",
"lastNames": "Doe",
"phoneNumber": "551238976",
"latitude": "19.3883998",
"longitude": "-99.0209696",
"contacts": [
{
"fullName": "Contact name 1",
"phoneNumber": "550987654"
},
{
"fullName": "Contact name 2",
"phoneNumber": "551234567"
}
],
"metadata": {}
}'
{
"verificationId": "222297d8-187b-4ea7-a193-d8fd82ee162a"
}
Account
Create account verification code
Create a new account record and sends an otp code to the customer
POST
/
account
/
{userId}
/
verification
curl --location --request POST 'https://staging-api.propaga.io/v1/account/{userId}/verification'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"firstName": "John",
"lastNames": "Doe",
"phoneNumber": "551238976",
"latitude": "19.3883998",
"longitude": "-99.0209696",
"contacts": [
{
"fullName": "Contact name 1",
"phoneNumber": "550987654"
},
{
"fullName": "Contact name 2",
"phoneNumber": "551234567"
}
],
"metadata": {}
}'
{
"verificationId": "222297d8-187b-4ea7-a193-d8fd82ee162a"
}
When you POST to this endpoint, we will save the customer’s information and send a otp code to the number provided on the
phoneNumber field
curl --location --request POST 'https://staging-api.propaga.io/v1/account/{userId}/verification'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"firstName": "John",
"lastNames": "Doe",
"phoneNumber": "551238976",
"latitude": "19.3883998",
"longitude": "-99.0209696",
"contacts": [
{
"fullName": "Contact name 1",
"phoneNumber": "550987654"
},
{
"fullName": "Contact name 2",
"phoneNumber": "551234567"
}
],
"metadata": {}
}'
{
"verificationId": "222297d8-187b-4ea7-a193-d8fd82ee162a"
}
Path parameters
string
required
Propaga’s user id
Body
string
required
string
required
string
required
string
string
json
Any metadata you want to save for the user
Response
string
Error codes
User not found (404)
{
"errorCode": "USER_NOT_FOUND",
"errorMessage": "This user not found"
}
User already verified (422)
{
"errorCode": "USER_IS_VERIFIED",
"errorMessage": "This user is verified"
}
User in internal verification (422)
{
"errorCode": "USER_IN_MANUAL_VALIDATION",
"errorMessage": "This user information is currently in manual validation"
}
Was this page helpful?

